Unpublish a post
curl --request POST \
--url https://api.kavenio.com/v1/posts/{postId}/unpublish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetIds": [
"gggggggggggggggg"
]
}
'import requests
url = "https://api.kavenio.com/v1/posts/{postId}/unpublish"
payload = { "targetIds": ["gggggggggggggggg"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetIds: ['gggggggggggggggg']})
};
fetch('https://api.kavenio.com/v1/posts/{postId}/unpublish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "<string>",
"organizationId": "<string>",
"createdBy": "<string>",
"mediaItems": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
],
"tags": [
"<string>"
],
"hashtags": [
"<string>"
],
"mentions": [
"<string>"
],
"metadata": {},
"crosspostingEnabled": true,
"targets": [
{
"id": "<string>",
"postId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"customContent": "<string>",
"customMedia": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
],
"scheduledFor": "2023-11-07T05:31:56Z",
"platformSpecificData": {
"replyToTweetId": "<string>",
"quoteTweetId": "<string>",
"mediaIds": [
"<string>"
],
"threadItems": [
{
"content": "<string>",
"mediaItems": [
{
"url": "<string>",
"title": "<string>",
"altText": "<string>",
"filename": "<string>",
"size": 123,
"mimeType": "<string>",
"thumbnail": "<string>",
"durationMs": 123,
"durationSeconds": 123,
"width": 123,
"height": 123,
"frameRate": 123,
"frameCount": 123
}
]
}
],
"poll": {
"options": [
"<string>"
],
"duration_minutes": 5042
},
"longVideo": true,
"paidPartnership": true,
"madeWithAi": true,
"firstComment": "<string>",
"sensitiveMedia": {
"adultContent": true,
"graphicViolence": true,
"other": true
}
},
"platformPostId": "<string>",
"nativeUrl": "<string>",
"error": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"profileId": "<string>",
"title": "<string>",
"content": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"queuedFromProfile": "<string>",
"queueId": "<string>",
"recycling": {
"enabled": true,
"every": 123,
"maxOccurrences": 123,
"endsAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"preserveQueue": true,
"allowDuplicateForRecycling": true
}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Posts
Unpublish post
Starts unpublishing for published platform targets, optionally limited to specific target IDs.
POST
/
v1
/
posts
/
{postId}
/
unpublish
Unpublish a post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Body
application/json
Minimum array length:
1Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Was this page helpful?
⌘I